Bug 122755 - generates incorrect list of meta package names
Summary: generates incorrect list of meta package names
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Brent Fox
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-05-07 18:01 UTC by Robin Humble
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-23 22:48:10 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
created by anaconda during the install (1.95 KB, text/plain)
2004-05-07 18:04 UTC, Robin Humble
no flags Details
something similar except created by system-config-kickstart (1.14 KB, text/plain)
2004-05-07 18:06 UTC, Robin Humble
no flags Details

Description Robin Humble 2004-05-07 18:01:18 UTC
Description of problem:
package groups created by system-config-kickstart don't work with anaconda

Version-Release number of selected component (if applicable):
system-config-kickstart-2.5.11-1

How reproducible:
very I think. I tried installing using the ks.cfg file generated by
system-config-kickstart and it didn't work as the package names were
wrong.

Steps to Reproduce:
1. run system-config-kickstart
2. select some groups eg. X Window System
3. save
4. look at ks.cfg

  
Actual results:
gives the old (rh9?) format group names
...
%packages --resolvedeps
@ X Window System
@ Office/Productivity
...

Expected results:
new group names that work with anaconda.
anaconda writes /root/anaconda-ks.cfg and the package groups in
that file look like the below, and they work when you boot using a
kickstart file based on these.
...
%packages --resolvedeps
@ base-x
@ office
...

Additional info:

Comment 1 Robin Humble 2004-05-07 18:04:43 UTC
Created attachment 100088 [details]
created by anaconda during the install

Comment 2 Robin Humble 2004-05-07 18:06:14 UTC
Created attachment 100089 [details]
something similar except created by system-config-kickstart

Comment 3 Brent Fox 2004-06-23 22:48:10 UTC
system-config-kickstart-2.5.12-1 should use the base names that comps
uses instead of the plain english name.  Thanks for your report.


Note You need to log in before you can comment on or make changes to this bug.